Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1500305 - Review Request: python-os-service-types - Python library for consuming OpenStack sevice-types-authority data
Summary: Review Request: python-os-service-types - Python library for consuming OpenSt...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alfredo Moralejo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: RDO-QUEENS
TreeView+ depends on / blocked
 
Reported: 2017-10-10 11:22 UTC by Yatin Karel
Modified: 2017-11-11 02:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-11 02:51:16 UTC
amoralej: fedora-review+


Attachments (Terms of Use)

Description Yatin Karel 2017-10-10 11:22:40 UTC
Spec URL: https://ykarel.fedorapeople.org/packages/python-os-service-types/python-os-service-types.spec

SRPM URL: https://ykarel.fedorapeople.org/packages/python-os-service-types/python-os-service-types-1.1.0-1.fc27.src.rpm

Description: Python library for consuming OpenStack sevice-types-authority data

The OpenStack Service Types Authority contains information about official OpenStack services and their historical service-type aliases.

The data is in JSON and the latest data should always be used. This simple library exists to allow for easy consumption of the data, along with a built-in version of the data to use in case network access is for some reason not possible and local caching of the fetched data.

Fedora Account System Username: ykarel

Koji scratch build:- https://koji.fedoraproject.org/koji/taskinfo?taskID=22364523

Note: This review https://review.openstack.org/#/c/488137/23/requirements.txt@65    added os-service-types a dependency for nova, and in coming days it would be consumed by other libraries as well so we need it to package.

Comment 1 Igor Gnatenko 2017-10-10 11:27:54 UTC
You should use python2 prefix for all python2 packages.

Comment 2 Haïkel Guémar 2017-10-10 11:41:48 UTC
* Why using BuildConflict?
* moving BR under the right subpackage makes it simpler to read.
* what Igor said.

Comment 3 Yatin Karel 2017-10-10 11:51:55 UTC
(In reply to Haïkel Guémar from comment #2)
> * Why using BuildConflict?
> * moving BR under the right subpackage makes it simpler to read.
> * what Igor said.

Done.

Spec URL: https://ykarel.fedorapeople.org/packages/python-os-service-types/python-os-service-types.spec

SRPM URL: https://ykarel.fedorapeople.org/packages/python-os-service-types/python-os-service-types-1.1.0-1.fc27.src.rpm

Koji build for updated Spec/SRPM:- https://koji.fedoraproject.org/koji/taskinfo?taskID=22364854

Comment 4 Igor Gnatenko 2017-10-10 12:01:54 UTC
> License:        None
nope

Comment 6 Alfredo Moralejo 2017-10-10 13:36:19 UTC
Some comments:

- python2-sphinx is duplicated as BR
- I'd say, python2-reno is not actually a BR as we are not building release notes
- We don't need python3-openstackdocstheme as we are building the docs with python2
- It'd be better to put BRs for doc building (at least python2-oslo-sphinx and python2-openstackdocsthem under -doc subpackage
- We don't need hacking and coverage as BRs as we are not running test with coverage options and unit tests don't include syntax checking with hacking

Comment 7 Yatin Karel 2017-10-10 14:08:20 UTC
(In reply to Alfredo Moralejo from comment #6)
> Some comments:
> 
> - python2-sphinx is duplicated as BR
> - I'd say, python2-reno is not actually a BR as we are not building release
> notes
> - We don't need python3-openstackdocstheme as we are building the docs with
> python2
> - It'd be better to put BRs for doc building (at least python2-oslo-sphinx
> and python2-openstackdocsthem under -doc subpackage
> - We don't need hacking and coverage as BRs as we are not running test with
> coverage options and unit tests don't include syntax checking with hacking

Done

Spec URL: https://ykarel.fedorapeople.org/packages/python-os-service-types/python-os-service-types.spec

SRPM URL: https://ykarel.fedorapeople.org/packages/python-os-service-types/python-os-service-types-1.1.0-1.fc27.src.rpm

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=22366464

Comment 8 Alfredo Moralejo 2017-10-10 16:22:44 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 32 files have unknown
     license. Detailed output of licensecheck in /home/amoralej/1500305
     -python-os-service-types/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -os-service-types , python3-os-service-types , python-os-service-
     types-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-os-service-types-1.1.0-1.fc28.noarch.rpm
          python3-os-service-types-1.1.0-1.fc28.noarch.rpm
          python-os-service-types-doc-1.1.0-1.fc28.noarch.rpm
          python-os-service-types-1.1.0-1.fc28.src.rpm
python2-os-service-types.noarch: W: spelling-error Summary(en_US) sevice -> device, service, vice
python2-os-service-types.noarch: W: spelling-error %description -l en_US sevice -> device, service, vice
python2-os-service-types.noarch: E: description-line-too-long C OsServiceTypes is a Python library for consuming OpenStack sevice-types-authority data
python2-os-service-types.noarch: E: description-line-too-long C version of the data to use in case network access is for some reason not possible
python3-os-service-types.noarch: W: spelling-error Summary(en_US) sevice -> device, service, vice
python3-os-service-types.noarch: W: spelling-error %description -l en_US sevice -> device, service, vice
python3-os-service-types.noarch: E: description-line-too-long C OsServiceTypes is a Python library for consuming OpenStack sevice-types-authority data
python3-os-service-types.noarch: E: description-line-too-long C version of the data to use in case network access is for some reason not possible
python-os-service-types-doc.noarch: W: summary-not-capitalized C os-service-types documentation
python-os-service-types-doc.noarch: W: spelling-error %description -l en_US sevice -> device, service, vice
python-os-service-types-doc.noarch: E: description-line-too-long C OsServiceTypes is a Python library for consuming OpenStack sevice-types-authority data
python-os-service-types-doc.noarch: E: description-line-too-long C version of the data to use in case network access is for some reason not possible
python-os-service-types.src: W: spelling-error Summary(en_US) sevice -> device, service, vice
python-os-service-types.src: W: spelling-error %description -l en_US sevice -> device, service, vice
python-os-service-types.src: E: description-line-too-long C OsServiceTypes is a Python library for consuming OpenStack sevice-types-authority data
python-os-service-types.src: E: description-line-too-long C version of the data to use in case network access is for some reason not possible
4 packages and 0 specfiles checked; 8 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
python3-os-service-types.noarch: W: spelling-error Summary(en_US) sevice -> device, service, vice
python3-os-service-types.noarch: W: spelling-error %description -l en_US sevice -> device, service, vice
python3-os-service-types.noarch: E: description-line-too-long C OsServiceTypes is a Python library for consuming OpenStack sevice-types-authority data
python3-os-service-types.noarch: E: description-line-too-long C version of the data to use in case network access is for some reason not possible
python3-os-service-types.noarch: W: invalid-url URL: http://www.openstack.org/ <urlopen error [Errno -2] Name or service not known>
python2-os-service-types.noarch: W: spelling-error Summary(en_US) sevice -> device, service, vice
python2-os-service-types.noarch: W: spelling-error %description -l en_US sevice -> device, service, vice
python2-os-service-types.noarch: E: description-line-too-long C OsServiceTypes is a Python library for consuming OpenStack sevice-types-authority data
python2-os-service-types.noarch: E: description-line-too-long C version of the data to use in case network access is for some reason not possible
python2-os-service-types.noarch: W: invalid-url URL: http://www.openstack.org/ <urlopen error [Errno -2] Name or service not known>
python-os-service-types-doc.noarch: W: summary-not-capitalized C os-service-types documentation
python-os-service-types-doc.noarch: W: spelling-error %description -l en_US sevice -> device, service, vice
python-os-service-types-doc.noarch: E: description-line-too-long C OsServiceTypes is a Python library for consuming OpenStack sevice-types-authority data
python-os-service-types-doc.noarch: E: description-line-too-long C version of the data to use in case network access is for some reason not possible
python-os-service-types-doc.noarch: W: invalid-url URL: http://www.openstack.org/ <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 6 errors, 9 warnings.



Requires
--------
python3-os-service-types (rpmlib, GLIBC filtered):
    python(abi)
    python3-pbr

python2-os-service-types (rpmlib, GLIBC filtered):
    python(abi)
    python2-pbr

python-os-service-types-doc (rpmlib, GLIBC filtered):



Provides
--------
python3-os-service-types:
    python3-os-service-types
    python3.6dist(os-service-types)
    python3dist(os-service-types)

python2-os-service-types:
    python-os-service-types
    python2-os-service-types
    python2.7dist(os-service-types)
    python2dist(os-service-types)

python-os-service-types-doc:
    python-os-service-types-doc



Source checksums
----------------
https://tarballs.openstack.org/os-service-types/os-service-types-1.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : d5f611d7bfb59dff1b70a8ad0a8ed47000e92806b96fd0953b98f2462ed99df7
  CHECKSUM(SHA256) upstream package : d5f611d7bfb59dff1b70a8ad0a8ed47000e92806b96fd0953b98f2462ed99df7


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1500305 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Package looks ok. Just note the rpmlint errors and warnings about summary-not-capitalized if you can fix them in a follow-up patch

Package is APPROVED

Comment 9 Haïkel Guémar 2017-10-11 14:09:07 UTC
I did agree with Alfredo to let him do the review, but we forgot the reassignement.

Comment 10 Gwyn Ciesla 2017-10-11 14:14:43 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-os-service-types

Comment 11 Fedora Update System 2017-10-11 15:31:31 UTC
python-os-service-types-1.1.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a7563de607

Comment 12 Fedora Update System 2017-10-13 06:23:02 UTC
python-os-service-types-1.1.0-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-91494ff562

Comment 13 Fedora Update System 2017-11-11 02:51:16 UTC
python-os-service-types-1.1.0-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.